## ros-melodic-rqt-play-motion-builder 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_play_motion_builder)

find_package(catkin REQUIRED
  COMPONENTS
  roscpp
  rqt_gui_cpp
  actionlib
  play_motion_msgs
  urdf
  sensor_msgs
  play_motion_builder
  play_motion_builder_msgs
)

if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  find_package(Qt5Widgets REQUIRED)
else()
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
#  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}_gui
#  CATKIN_DEPENDS actionlib play_motion_builder_msgs
#  DEPENDS system_lib
)
catkin_python_setup()

if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  qt5_wrap_cpp(rqt_play_motion_builder_MOCS
    include/${PROJECT_NAME}/rqt_play_motion_builder.h
    include/${PROJECT_NAME}/properties_dialog.h)
  qt5_wrap_ui(rqt_play_motion_builder_UIS_H
    resources/rqt_play_motion_builder.ui
    resources/properties_dialog.ui)
else()
  qt4_wrap_cpp(rqt_play_motion_builder_MOCS
    include/${PROJECT_NAME}/rqt_play_motion_builder.h
    include/${PROJECT_NAME}/properties_dialog.h)
  qt4_wrap_ui(rqt_play_motion_builder_UIS_H
    resources/rqt_play_motion_builder.ui
    resources/properties_dialog.ui)
endif()

###########
## Build ##
###########

include_directories(include)
include_directories(SYSTEM ${CMAKE_CURRENT_BINARY_DIR} ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}_gui
  src/rqt_play_motion_builder.cpp
  src/properties_dialog.cpp
  ${rqt_play_motion_builder_MOCS}
  ${rqt_play_motion_builder_UIS_H}
)

target_link_libraries(${PROJECT_NAME}_gui ${catkin_LIBRARIES})
if("${qt_gui_cpp_USE_QT_MAJOR_VERSION} " STREQUAL "5 ")
  target_link_libraries(${PROJECT_NAME}_gui Qt5::Widgets)
else()
  target_link_libraries(${PROJECT_NAME}_gui ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})
endif()

find_package(class_loader REQUIRED)
class_loader_hide_library_symbols(${PROJECT_NAME}_gui)

#############
## Install ##
#############

catkin_install_python(PROGRAMS
  scripts/rqt_play_motion_builder
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS ${PROJECT_NAME}_gui
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(FILES
  plugin.xml 
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_rqt_play_motion_builder.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-rqt-play-motion-builder (1.0.2-1stretch) stretch; urgency=high



 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 21 Oct 2020 22:00:00 -0000

ros-melodic-rqt-play-motion-builder (1.0.1-1stretch) stretch; urgency=high

  * REname projecto to comply with naming scheme
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-rqt-play-motion-builder (1.0.0-1stretch) stretch; urgency=high

  * Fix dependencies and CMakeFile
  * Add missing build dependencies
  * Fix dependencies for RQT-plugin
  * Initial commit
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 14 Oct 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rqt-play-motion-builder
Section: misc
Priority: optional
Maintainer: davidfernandez <david.fernandez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-play-motion-builder, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rqt-gui-cpp, ros-melodic-sensor-msgs, ros-melodic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-rqt-play-motion-builder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-play-motion-builder, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rqt-gui, ros-melodic-rqt-gui-cpp, ros-melodic-sensor-msgs, ros-melodic-urdf
Description: The rqt_play_motion_builder package, a front-end interface for play_motion_builder

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rqt-play-motion-builder//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
